# PhasicFlow: pFlow::pointStructureKernels Namespace Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

pFlow::pointStructureKernels Namespace Reference

## Functions

int32 | markDeleteOutOfBox (box domain, int32 start, int32 end, int8 deleteFlag, deviceViewType1D< realx3 > points, deviceViewType1D< int8 > flags, pointStructure::activePointsDevice activePoint, int32 &minRange, int32 &maxRange)
int32 | scanPointFlag (int32 start, int32 end, int8 activeFlag, deviceViewType1D< int8 > flags, int32 &minRange, int32 &maxRange)

## Function Documentation

## markDeleteOutOfBox()

int32 pFlow::pointStructureKernels::markDeleteOutOfBox | ( | box | domain,
|  | int32 | start,
|  | int32 | end,
|  | int8 | deleteFlag,
|  | deviceViewType1D< realx3 > | points,
|  | deviceViewType1D< int8 > | flags,
|  | pointStructure::activePointsDevice | activePoint,
|  | int32 & | minRange,
|  | int32 & | maxRange
| ) |  |

Definition at line 32 of file pointStructureKernels.hpp.

References LAMBDA_HD.

## scanPointFlag()

int32 pFlow::pointStructureKernels::scanPointFlag | ( | int32 | start,
|  | int32 | end,
|  | int8 | activeFlag,
|  | deviceViewType1D< int8 > | flags,
|  | int32 & | minRange,
|  | int32 & | maxRange
| ) |  |

Definition at line 92 of file pointStructureKernels.hpp.

References LAMBDA_HD, pFlow::max(), and pFlow::min().

Here is the call graph for this function: